Subject: [bug#76185] Request for merging "tex-team" branch

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 29 Apr 2025 18:54:28 +0200

Andreas Enge <[email-masked]> writes:

> I confirm when trying to do
>    ./pre-inst-env guix build --system=i686-linux texlive-bin
>
> It fails with:
> /tmp/guix-build-texlive-bin-2025.2.drv-0/build/texk/web2c/../../../source/texk/web2c/luatexdir/luazip/src/luazip.c:183:(.text+0x192): undefined reference to `zzip_open_ext_io64'
> collect2: error: ld returned 1 exit status

This is now "fixed" on tex-team branch: 32bit machines will use bundled
zziplib whereas other ones will use system library. This is not perfect
but it is as much as I can do at the moment.

I cleaned up the branch, rebased it on a green-ticked commit from master
and pushed it. I think it is in good shape now and ready to merge,
assuming QA agrees with me.